﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
using ThinkGeo.Core;

namespace Demo
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        public MainWindow()
        {
            InitializeComponent();
        }

        private void mapView_Loaded(object sender, RoutedEventArgs e)
        {
            map.MapUnit = GeographyUnit.Meter;
            map.CurrentExtent = MaxExtents.SphericalMercator;


            var gProjectionConverterForRendering = new UnmanagedProjectionConverter(4326, 3857);
            gProjectionConverterForRendering.Open();


            //// This jp2 file aleady 3857 projection.
            //var jp2Layer = new GdalRasterLayer(System.AppDomain.CurrentDomain.BaseDirectory + "\\World.jp2");
            //var overLay = new LayerOverlay();
            //overLay.Layers.Add(jp2Layer);
            //map.Overlays.Add(overLay);


            //var ecwLayer = new EcwRasterLayer(System.AppDomain.CurrentDomain.BaseDirectory + "\\World.ecw");
            //ecwLayer.ImageSource.ProjectionConverter = gProjectionConverterForRendering;
            //var overLay = new LayerOverlay();
            //overLay.TileType = TileType.SingleTile;
            //overLay.Layers.Add(ecwLayer);
            //map.Overlays.Add(overLay);

            var geotifLayer = new UnmanagedGeoTiffRasterLayer(System.AppDomain.CurrentDomain.BaseDirectory + "\\World.tif");
            geotifLayer.ImageSource.ProjectionConverter = gProjectionConverterForRendering;
            var overLay = new LayerOverlay();
            overLay.TileType = TileType.SingleTile;
            overLay.Layers.Add(geotifLayer);
            map.Overlays.Add(overLay);


            //var MrSidLayer = new MrSidRasterLayer(System.AppDomain.CurrentDomain.BaseDirectory + "\\World.sid");
            //MrSidLayer.ImageSource.ProjectionConverter = gProjectionConverterForRendering;
            //var overLay = new LayerOverlay();
            //overLay.TileType = TileType.SingleTile;
            //overLay.Layers.Add(MrSidLayer);
            //map.Overlays.Add(overLay);

            map.Refresh();
        }
    }
}
